Bug 168905 - Review Request: python-nltk
Summary: Review Request: python-nltk
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: David Lawrence
URL: http://hircus.org/fedora/python-nltk/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-09-21 04:59 UTC by Michel Alexandre Salim
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-12 11:08:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2005-09-21 04:59:27 UTC
Spec Name or Url: python-nltk.spec
SRPM Name or Url: python-nltk-1.4.4-1.src.rpm
Description: 

The Natural Language Toolkit is a Python package that simplifies the construction of programs that process natural language, and defines standard interfaces between the different components of an NLP system.

Comment 1 Aurelien Bompard 2005-09-26 17:16:05 UTC
This package can't be noarch since it installs files in %{_libdir}, which
becomes /usr/lib64 on x86_64 systems.
I don't see any other problem :)

Comment 2 Toshio Kuratomi 2005-09-27 01:42:04 UTC
I only see py/pyc/pyo in this package which are being installed to /usr/lib even
on x86_64.

$uname -m
x86_64
$ python  -c "from distutils.sysconfig import get_python_lib; print
get_python_lib()"
/usr/lib/python2.4/site-packages

Since this is the definition of python_sitelib which is used in the spec file,
files should either be installed in /usr/lib or it will cause rpmbuild to error out.

Comment 3 Aurelien Bompard 2005-09-27 09:03:44 UTC
Ah, right, I thought %{python_sitelib} was based on %{_libdir}, but obviously it
is not :)
Review for release 1:
* RPM name is OK
* Source nltk-1.4.4.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of python-nltk looks OK
* File list of python-nltk looks OK
* Included demo runs fine.
APPROVED


Comment 4 Aurelien Bompard 2006-02-12 11:08:44 UTC
python-nltk is published, closing bug


Note You need to log in before you can comment on or make changes to this bug.